curl --request POST \
--url 'https://api.stateset.com/api/v1/quality/holds' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"hold_type": "string",
"inspection_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lot_number": "string",
"ncr_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"placed_by": "string",
"quantity": "string",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"serial_number": "string",
"sku": "SKU-TENT-2P-GRN"
}'
{
"hold_type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lot_number": "string",
"placed_at": "2026-08-31T14:22:05Z",
"placed_by": "string",
"quantity_held": "string",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"released_at": "2026-08-31T14:22:05Z",
"released_by": "string",
"sku": "SKU-TENT-2P-GRN"
}
Create a hold
Create a hold
POST
/
api
/
v1
/
quality
/
holds
curl --request POST \
--url 'https://api.stateset.com/api/v1/quality/holds' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"hold_type": "string",
"inspection_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lot_number": "string",
"ncr_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"placed_by": "string",
"quantity": "string",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"serial_number": "string",
"sku": "SKU-TENT-2P-GRN"
}'
{
"hold_type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lot_number": "string",
"placed_at": "2026-08-31T14:22:05Z",
"placed_by": "string",
"quantity_held": "string",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"released_at": "2026-08-31T14:22:05Z",
"released_by": "string",
"sku": "SKU-TENT-2P-GRN"
}
Request body
CreateQualityHoldRequest
string
required
One of the
HoldType values, e.g. quality_inspection, damage, recall.string,null
string,null
string,null
string
required
string
required
Decimal quantity as a string.
string
required
string,null
string
required
Response
QualityHoldResponse
string
required
string
required
string,null
string
required
string
required
string
required
string
required
string,null
string,null
string
required
Status codes
| Code | Meaning |
|---|---|
201 | — |
400 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/quality/holds' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"hold_type": "string",
"inspection_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lot_number": "string",
"ncr_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"placed_by": "string",
"quantity": "string",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"serial_number": "string",
"sku": "SKU-TENT-2P-GRN"
}'
{
"hold_type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lot_number": "string",
"placed_at": "2026-08-31T14:22:05Z",
"placed_by": "string",
"quantity_held": "string",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"released_at": "2026-08-31T14:22:05Z",
"released_by": "string",
"sku": "SKU-TENT-2P-GRN"
}
Last modified on August 31, 2026